/*
 * SPDX-FileCopyrightText: 2024 Framasoft <https://framasoft.org>
 * SPDX-FileContributor: Thomas Citharel <thomas.citharel@framasoft.org>
 *
 * SPDX-License-Identifier: AGPL-3.0-only
 */

.login-notes-wrapper {
	display: flex;
	flex-direction: column;
	margin: 1rem auto 0.5rem;
}

.login-notes-rendered {
	display: inline-block;
	margin: 20px auto;
	min-width: 300px;

	&,
	.markdown-body {
		margin-top: 1rem;
		border-radius: var(--border-radius-large);
		box-shadow: 0 0 10px var(--color-box-shadow);
		padding: 1rem;
		color: var(--color-main-text, #222222);
		background-color: var(--color-main-background-blur);
	}

	h1,
	h2,
	h3,
	h4,
	h5,
	h6 {
		margin-top: 0.75rem;
		margin-bottom: 0.5rem;
		font-weight: 600;
		line-height: 1.25;
		color: var(--color-main-text, #222222) !important;
	}

	h1 {
		font-weight: 600;
		padding-bottom: 0.3em;
		font-size: 2em;
	}

	h2 {
		font-weight: 600;
		padding-bottom: 0.3em;
		font-size: 1.5em;
	}

	h3 {
		font-weight: 600;
		font-size: 1.25em;
	}

	h4 {
		font-weight: 600;
		font-size: 1em;
	}

	h5 {
		font-weight: 600;
		font-size: 0.875em;
	}

	h6 {
		font-weight: 600;
		font-size: 0.85em;
	}

	em {
		color: var(--color-text-lighter, #767676);
		opacity: 1;
	}

	&,
	* {
		text-align: start !important;
	}

	&.centered,
	&.centered * {
		text-align: center !important;
	}
}
